%global srcname Perl-OSType

Summary:	Map Perl operating system names to generic types
Name:		perl-%{srcname}
Version:	1.010
Release:	3%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/dist/%{srcname}
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/%{srcname}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	coreutils findutils make
BuildRequires:	perl-generators perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.17
BuildRequires:	perl(Test::More) >= 0.88
Requires:	perl(:MODULE_COMPAT_%{perl_version})

%description
Modules that provide OS-specific behaviors often need to know if the
current operating system matches a more generic type of operating
systems. For example, 'linux' is a type of 'Unix' operating system and
so is 'freebsd'.
 
This module provides a mapping between an operating system name as given
by $^O and a more generic type. The initial version is based on the OS
type mappings provided in Module::Build and ExtUtils::CBuilder. (Thus,
Microsoft operating systems are given the type 'Windows' rather than
'Win32'.)


%prep
%autosetup -n %{srcname}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn README
%{perl_vendorlib}/Perl/
%{_mandir}/man3/Perl::OSType.3*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.010-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.010-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Apr 25 2022 rockerzhu <rockerzhu@tencent.com> - 1.010-1
- Initial build
